Package org.eclipse.cdt.core.dom.ast

# Class IASTCompletionNode.CompletionNameEntry

java.lang.Object
org.eclipse.cdt.core.dom.ast.IASTCompletionNode.CompletionNameEntry

Enclosing interface:
  `IASTCompletionNode`

public static class IASTCompletionNode.CompletionNameEntry extends Object
Represents a name that fits in this context, and its parent. The parent is stored separately because two entries can have the same name but different parents. (This is due to the parser sometimes re-using nodes between alternatives in an ambiguous node.)

Since:
  6.4

## Field Summary

Fields
Modifier and Type
Field
Description
`IASTName`
`fName`
`IASTNode`
`fParent`

## Constructor Summary

Constructors
Constructor
Description
`CompletionNameEntry(IASTName name, IASTNode parent)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fName

public IASTName fName

### fParent

public IASTNode fParent

## Constructor Details

### CompletionNameEntry

public CompletionNameEntry(IASTName name, IASTNode parent)